Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class PropertyPreloadedData

    java.lang.Object
      org.hibernate.cfg.PropertyPreloadedData

All Implemented Interfaces:
  PropertyData

    public class PropertyPreloadedData

extends Object
implements PropertyData

Constructor Summary
`PropertyPreloadedData(String defaultAccess, String propertyName, org.hibernate.annotations.common.reflection.XClass returnedClass)`

Method Summary
`org.hibernate.annotations.common.reflection.XClass` | `getClassOrElement()` Returns the returned class itself or the element type if an array
`String` | `getClassOrElementName()` Returns the returned class name itself or the element type if an array
`String` | `getDefaultAccess()`
`org.hibernate.annotations.common.reflection.XProperty` | `getProperty()`
`org.hibernate.annotations.common.reflection.XClass` | `getPropertyClass()` Return the class itself
`String` | `getPropertyName()`
`String` | `getTypeName()` Returns the returned class name itself

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyPreloadedData

    public PropertyPreloadedData(String defaultAccess,
                                 String propertyName,
                                 org.hibernate.annotations.common.reflection.XClass returnedClass)

Method Detail

### getDefaultAccess

    public String getDefaultAccess()
                            throws org.hibernate.MappingException

  Specified by:
    `getDefaultAccess` in interface `PropertyData`
  Returns:
    default member access (whether field or property)
  Throws:
    `org.hibernate.MappingException` - No getter or field found or wrong JavaBean spec usage

### getPropertyName

    public String getPropertyName()
                           throws org.hibernate.MappingException

  Specified by:
    `getPropertyName` in interface `PropertyData`
  Returns:
    property name
  Throws:
    `org.hibernate.MappingException` - No getter or field found or wrong JavaBean spec usage

### getClassOrElement

    public org.hibernate.annotations.common.reflection.XClass getClassOrElement()
                                                                         throws org.hibernate.MappingException

  Description copied from interface: `PropertyData`
  Returns the returned class itself or the element type if an array

  Specified by:
    `getClassOrElement` in interface `PropertyData`
  Throws:
    `org.hibernate.MappingException`

### getPropertyClass

    public org.hibernate.annotations.common.reflection.XClass getPropertyClass()
                                                                        throws org.hibernate.MappingException

  Description copied from interface: `PropertyData`
  Return the class itself

  Specified by:
    `getPropertyClass` in interface `PropertyData`
  Throws:
    `org.hibernate.MappingException`

### getClassOrElementName

    public String getClassOrElementName()
                                 throws org.hibernate.MappingException

  Description copied from interface: `PropertyData`
  Returns the returned class name itself or the element type if an array

  Specified by:
    `getClassOrElementName` in interface `PropertyData`
  Throws:
    `org.hibernate.MappingException`

### getTypeName

    public String getTypeName()
                       throws org.hibernate.MappingException

  Description copied from interface: `PropertyData`
  Returns the returned class name itself

  Specified by:
    `getTypeName` in interface `PropertyData`
  Throws:
    `org.hibernate.MappingException`

### getProperty

    public org.hibernate.annotations.common.reflection.XProperty getProperty()

  Specified by:
    `getProperty` in interface `PropertyData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD